#include <QMainWindow>
#include <QModelIndex>

class PhononSourceDelegate;
class MusicListModel;
class QListView;
class QBoxLayout;
class QPushButton;
namespace Phonon {
    class SeekSlider;
    class VolumeSlider;
class MediaObject;
}

class MainWindow : public QMainWindow {
  Q_OBJECT
  public:
    MainWindow(QWidget* parent = 0, Qt::WindowFlags flags = 0);

  protected:
    virtual bool event (QEvent* event);
  
  private:
    MusicListModel* m_model;
    QListView* m_view;
    Phonon::SeekSlider* m_slider;
    Phonon::VolumeSlider* m_volumeSlider;
    Phonon::MediaObject* m_mediaobject;

    QBoxLayout* m_layout;
    bool m_landscape_mode;
    QPushButton* m_mode_toggler;
    QPushButton* m_load_collection;

    QAction* next_action;
    QAction* pause_action;
    QAction* play_action;

    QModelIndex next_track;
    PhononSourceDelegate* m_phonon_delegate;
    

    void setLandscape();
    void setPortrait();
  private Q_SLOTS:
    void setCollection();
    void toggleLandscape();
    void orientationChanged(const QString& neworientation);
    void play(const QModelIndex& index);
    void play();
    void next();
    void track_playing();
};
