#include <QStringList>
#include <Phonon/MediaSource>
#include "musiclistmodel.h"


MusicListModel::MusicListModel (QObject* parent) : QAbstractListModel (parent) {
}


QVariant MusicListModel::data (const QModelIndex& index, int role) const {
  if(role == Qt::DisplayRole) {
    return m_data.at(index.row()).fileName();
  } else if(role == MediaSource) {
    return QVariant::fromValue(m_data.at(index.row()));
  }
  return QVariant();
}

int MusicListModel::rowCount (const QModelIndex& parent) const {
  return m_data.size();
}


void MusicListModel::loadFiles(const QStringList& filelist) {
  Q_FOREACH(const QString& file, filelist) {
    Phonon::MediaSource source(file);
    qDebug() << file;
    m_data.append(source);
  }
  QAbstractListModel::reset();
}



