#ifndef MUSICLISTMODEL_H
#define MUSICLISTMODEL_H

#include <QAbstractItemModel>
#include <Phonon/MediaSource>
Q_DECLARE_METATYPE(Phonon::MediaSource) // To be able to ship it over a QVariant

class MusicListModel : public QAbstractListModel {
  public:
    enum roles {
      MediaSource = Qt::UserRole+1
    };
    MusicListModel (QObject* parent = 0);
    void loadFiles(const QStringList& files);
    virtual QVariant data (const QModelIndex& index, int role = Qt::DisplayRole) const;
    virtual int rowCount (const QModelIndex& parent = QModelIndex()) const;
  private:
    QList<Phonon::MediaSource> m_data;
};

#endif // MUSICLISTMODEL_H
