/*
Could not load previous license
*/

#ifndef PHONONSOURCEDELEGATE_H
#define PHONONSOURCEDELEGATE_H

#include <QStyledItemDelegate>
#include <QUrl>

#include <Phonon/MediaSource>



namespace Phonon {
  class MediaSource;
  class MediaObject;
  inline uint qHash(const Phonon::MediaSource& source) {
    return qHash(source.url().toString()+source.deviceName()+source.deviceName());
  }
};

struct MetaData {
  QString artist;
  QString title;
  QString album;
};

class PhononSourceDelegate : public QStyledItemDelegate {
  Q_OBJECT
  public:
    PhononSourceDelegate (QAbstractItemView* parent);
    void setPortraitMode(bool portrait);
    virtual void paint (QPainter* painter, const QStyleOptionViewItem& option, const QModelIndex& index) const;
  private Q_SLOTS:
    void changed();
  private:
    QHash<Phonon::MediaSource, MetaData> m_data;
    Phonon::MediaObject* m_metadatagatherer;
    bool m_portrait;
    QAbstractItemView* parent_view;
};


#endif // PHONONSOURCEDELEGATE_H
